Obtains all boarding pass models from the issuer and returns the models by page, based on session and pageSize.
GET
https://${url}/hmspass/v1/flight/model?session={session}&pageSize={pageSize}
Note: The ${url} variable in the preceding request should be selected based on the region where the wallet server is located. For details, please refer to Wallet Server Address.
| Parameter name | Value | Description |
| session | String | If you set pageSize, and the overall number of objects is larger than the pageSize, the HTTP response will return a "nextSession" parameter. Set the "nextSession" you just got to this "session" parameter and send this query request again, you will get the next group of objects. Do not set this parameter when you send the query request for the first time. |
| pageSize | Int | This parameter identifies the maximum number of results returned by a list. All results are returned if this parameter is not specified. |
Note: If session and pageSize are both absent, all objects will be returned. If session is not set while pageSize is set, then the first group of objects will be returned. If sesion and pageSize are both set, then the next group of objects will be returned. Session should not be set if pageSize is not set.
The request body must be empty.
If successful, this method returns a response with the following structure:
Response:
{
"pageInfo":{
object (PageInfo)
}
"data":[
{
object (hwWalletObject)
}
]
}
| Parameter name | Value | Description |
| data | Array<hwWalletObject> | Boarding pass models corresponding to the query request. |
| pageInfo | PageInfo | Number of results returned on each page. |
PageInfo
| Parameter name | Value | Description |
| serviceType | String | The value is always hmspass#pageInfo. |
| pageSize | Int | Number of results returned on this page. |
| nextSession | String | Token that is used to fetch the next page (valid within five minutes). |